<template>
    <span>
        <a class="button is-light" @click="show = true">
            Lista de Favoritos
        </a>

        <div :class="`modal ${ show ? 'is-active' : '' }`">
            <div class="modal-background"></div>
            <div class="modal-content">
                <div class="box" v-for="f in favorites" :key="f.id">
                    <article class="media">
                        <div class="media-left">
                        <figure class="image is-64x64">
                            <img :src="`https://www.themoviedb.org/t/p/w220_and_h330_face/${f.poster_path}`" :alt="f.original_title">
                        </figure>
                        </div>
                        <div class="media-content">
                        <div class="content">
                            <p>
                            <strong>{{ f.original_title }}</strong>
                            <br>
                            {{ f.overview }}
                            </p>
                        </div>
                        </div>
                    </article>
                </div>

            </div>
            <button class="modal-close is-large" aria-label="close" @click="show = false"></button>
        </div>
    </span>
</template>

<script>
import { mapState } from 'vuex'

export default {
    name: 'FavoritesMovies',
    data() {
        return {
            show: false
        }
    },
    computed: {
        ...mapState('movie', [
            'favorites'
        ])
    }
}
</script>
